Retrieve a Status list
Deprecated
Retrieves an existing Status list and its signed token by providing its ID.
Roles
Analytics Events
bearerAuthAuthorizationBearer <token>statusListId*stringStatus list unique identifier
uuidStatus list retrieved
application/json- response
id?stringUnique identifier for this status list.
uuidiacaId?stringIdentifies the IACA used as the root certificate for credentials in this status list.
uuidstatusListConfigurationId?stringIdentifies the status list configuration that determines the status list validity period.
uuidlistSize?integerThe maximum number of credentials that can be added to this list before a new status list must be created.
list?stringThe base-64 encoded token of this status list.
curl -X GET "https://example.com/v2/credentials/mobile/status-lists/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "iacaId": "080c670a-2e90-4023-b79f-b706e55e9bc6", "statusListConfigurationId": "0bd642d3-4a3b-4ce2-9f8f-151a73becaae", "listSize": 100000, "list": "0oRZAu6jEHRtYXR0ci1zdGF0dXNs..."}How would you rate this page?
Retrieve all Status lists GET
<Callout type="warning"> **Deprecated.** In line with our SLA, this endpoint will be removed no earlier than 22 September 2026. To discover the Status lists available on a tenant, use the public [Status list distribution](#operation/getStatusListDistribution) endpoint (`GET /v2/credentials/mobile/status-lists/distribution`), which returns the URLs of all Status list tokens on the tenant. To retrieve an individual Status list token, use the public [Retrieve a Status list token](#operation/getStatusListToken) endpoint (`GET /v2/credentials/mobile/status-lists/{statusListId}/token`). </Callout> Retrieves all existing status lists from your tenant.
Retrieve a Status list token GET
Retrieves the Status list token in CWT format. This public endpoint returns a token which contains a compressed, signed list of credential statuses. Relying parties can use this token to check the revocation status of an mDoc that references this Status list. This endpoint is intended for public consumption, and as such does not require authentication. **Token Format**: MATTR VII implements Draft 14 of the IETF Token Status List specification: - Token header `typ`: `application/statuslist+cwt` - CBOR payload claims: `65533` (status_list), `65534` (ttl) - Status encoding: 1-bit (Valid/Invalid)